Subject: Re: bug#33182: 26.1; Support for Suckless st(simple terminal)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 14:10:03 +0200

Stefan Kangas <[email-masked]> writes:

> In any case, I took a simplistic stab at this.  I can now run
> "emacs -Q -nw" without specifying term and I get 256 colors as shown
> by M-x list-colors-display.
>
> Could you test it and see if it works for you?  You didn't mention
> which version of Emacs you're using, but I would recommend to test
> this on the current master branch (the development version 27.0.50).

This was almost a year ago, so I think you should just go ahead and
apply the patch:

> This is a copy of term/konsole.el with konsole -> st.
> * lisp/term/st.el: New file.
> ---
>  lisp/term/st.el | 12 ++++++++++++
>  1 file changed, 12 insertions(+)
>  create mode 100644 lisp/term/st.el

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no